Bug 158357 - Cannnot edit Service
Cannnot edit Service
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-20 16:32 EDT by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-24 17:45:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-05-20 16:32:00 EDT
Description of problem:
Cannot create a new resource or add a shared resource to a an existing service.
Attempting to do so results in the display of a dialog box to create or add a
resource; however the dialog box does not respond. The only way to close the
dialog box is to close the Service Management dialog box.

Version-Release number of selected component (if applicable):
system-config-cluster 0.9.54

How reproducible:


Steps to Reproduce:
1.  In the Cluster Configuration tab, at Services, click a service, then click
    "Edit Service Properties".
2.  Clicking "Edit Service Properties" causes the Service Management dialog
    box to be displayed as expected.
3.  At the Service Management dialog box, click either "Create a new resource
    for this service" or "Add a Shared Resource to this service".
4a. Clicking "Create a new resource for this service" causes the Resource
    Configuration dialog box to be displayed as expected; however the dialog 
    box does not respond and cannot be closed. The only way to close it is to 
    close the Service Management dialog box.
4b. Clicking "Add a Shared Resource to this service" causes the Shared Resource
    Selection dialog box to be displayed as expected; however the dialog 
    box does not respond and cannot be closed. The only way to close it is to 
    close the Service Management dialog box.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2005-05-23 12:48:07 EDT
This regression is fixed in 0.9.54-1.0...needed to make child resource edit
dialogs modal.
Comment 2 Jim Parsons 2005-05-23 12:48:50 EDT
sorry - meant to say fixed in 0.9.55...
Comment 3 Corey Marthaler 2005-05-24 17:45:20 EDT
fix verified in -58.

Note You need to log in before you can comment on or make changes to this bug.